[raring] no ethernet with "auto" default power option with 82579LM

Reported by Francois Thirioux on 2013-02-01
530
This bug affects 119 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
High
Joseph Salisbury
Raring
High
Joseph Salisbury

Bug Description

I' ve this issue since kernel 3.8.0-1 (at the moment the 3.8.0-0 allows ethernet connection without any issue) :

if I plug in an ethernet cable, nothing appends ("cable unplugged" in network manager Gnome applet). If I put "on" instead of "auto" in the file :

/sys/devices/pci0000:00/<number of ethernet pci port>/power/control

then the ethernet connection begins immediately and succeeds.

Wifi works flawlessly in any 3.8 kernel.

Basic infos :

lspci
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] (rev 34)
0d:00.0 SD Host controller: Ricoh Co Ltd PCIe SDXC/MMC Host Controller (rev 07)

Ubuntu
13.04
desktop
Gnome-shell
uname -a
3.8.0-3-generic #7-Ubuntu SMP Thu Jan 31 15:15:43 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
---
ApportVersion: 2.8-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ft 2058 F.... pulseaudio
CRDA:
 country FR:
  (2402 - 2482 @ 40), (N/A, 20)
  (5170 - 5250 @ 40), (N/A, 20)
  (5250 - 5330 @ 40), (N/A, 20), DFS
  (5490 - 5710 @ 40), (N/A, 27), DFS
DistroRelease: Ubuntu 13.04
HibernationDevice: RESUME=UUID=b6d6348a-fbbc-4c8e-b83f-d38edaf16347
InstallationDate: Installed on 2011-11-18 (440 days ago)
InstallationMedia: Kubuntu 11.10 "Oneiric Ocelot" - Release amd64 (20111012)
Lsusb:
 Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: LENOVO 4291J79
MarkForUpload: True
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-3-generic root=UUID=82a032ce-c372-4a0a-8989-8efcc4106125 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-3.7-generic 3.8.0-rc5
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-3-generic N/A
 linux-backports-modules-3.8.0-3-generic N/A
 linux-firmware 1.100
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: raring
Uname: Linux 3.8.0-3-generic x86_64
UpgradeStatus: Upgraded to raring on 2013-01-06 (25 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers
dmi.bios.date: 10/22/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET66WW (1.36 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4291J79
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET66WW(1.36):bd10/22/2012:svnLENOVO:pn4291J79:pvrThinkPadX220:rvnLENOVO:rn4291J79:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4291J79
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO

affects: ubuntu → linux (Ubuntu)
summary: - [raring] no ethernet with "auto" default power option
+ [raring] no ethernet with "auto" default power option with 82579LM
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.8 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc6-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: regression-update
tags: added: needs-bisect

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1112652

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

apport information

tags: added: kernel-bug-exists-upstream
removed: needs-bisect
tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Francois Thirioux (ft73) wrote :

bug still here in kernel 3.8 rc6 from kernel.ubuntu.com

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Brian Murray (brian-murray) wrote :

I have removed the tag regression-update from this bug report as the tag should be used for a regression which happened when installing a package from the -updates repository. This tag is used by the Stable Release Updates team to watch for regressions in packages from -updates and inappropriate usage of this tag makes it harder to find this category of regression. Thanks for your understanding. To learn more about how we use tags you may want to review http://wiki.ubuntu.com/Bugs/Tags.

tags: removed: regression-update
Francois Thirioux (ft73) wrote :

The bug is still here with 3.8.0-10.
When ethernet is plugged before boot, the link is activated without trouble. When ethernet is plugged after boot, I still need the above hack.

Joseph Salisbury (jsalisbury) wrote :

Can folks affected by this bug test the latest v3.9-rc1 kernel:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc1-raring/

If the bug still exists, I can kick off a kernel bisect.

Francois Thirioux (ft73) wrote :

The bug still affects 3.9 rc1.

I've been seeing the same problem with my main test desktop and the 3.8 kernels.

Many times I could just reboot a few times and the connection would come up. But as of this morning I can't get the interface to come up in my desktop machine without using Francois's hack (thanks for that, BTW).

   00:19.0 Ethernet controller: Intel Corporation 82567LM-2 Gigabit Network Connection

Francois Thirioux (ft73) wrote :

This bug is really annoying. Is it just a "medium" importance bug to not having ethernet working without tweak ?
We *maybe* (i'm not a kernel expert) need some backports from :

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc3-raring/CHANGES

more precisely :

Konstantin Khlebnikov (3):
      e1000e: fix pci-device enable-counter balance <-------- already backported
      e1000e: fix runtime power management transitions
      e1000e: fix accessing to suspended device

Francois Thirioux (ft73) wrote :

Ubuntu's kernel 3.9 rc3 makes ethernet working ok.

Changed in linux:
importance: Medium → Undecided
status: Confirmed → New
tags: added: kernel-bug
Celian (r-launchpad-celian-dk) wrote :

Ubuntu kernel 3.9 rc3 to rc6 fails to boot for me, so cannot confirm fix.

Did try 3.8.6 and found error to be persistent here.

Thanks for the workaround btw.!

Jeff Campbell (jeff-soupbowl) wrote :

I'm seeing this issue with Ubuntu 13.04 kernal - 3.8.0-19-generic

Francois Thirioux (ft73) wrote :

yes, I follow the evolution of linux kernel and ubuntu's kernel changes, and the Konstantin patches are still not all backported.

TheDam (dam-cavailles) wrote :

I'm still seeing this bug on Released Raring...

How to make sure I will get Kernel Update ASAP ?

Jeremy Kongs (j-launch) wrote :

I believe I am also experiancing this bug, but I am not able to use the workaround. I get the following error, even with sudo:

$ echo on > /sys/devices/pci0000\:00/0000\:00\:19.0/power/control
bash: /sys/devices/pci0000:00/0000:00:19.0/power/control: cannot overwrite existing file

Is there a kernel or module paramater I need to enable change of this?

Thanks.

Christopher (soft-kristal) wrote :

If you still see 3.5.0-28 in grub/advanced options in Raring, boot with that. It works for me.

There is no such kernel in reality, but it does work on both my laptop and desktop. I would appreciate a comment if it does the trick.

Francois Thirioux (ft73) wrote :

In reality if grub shows this kernel then it should exist ?
What does return "uname -a" for you after booting on this 3.5 (quantal) kernel ?

Christopher (soft-kristal) wrote :

It shows me running 13.04. As I said, it's a phantom kernel and I have no idea why it works.

If I boot normally, I get a black screen. Booting with advanced options and choosing the current kernel results in a normal display with wifi only connection. I have to turn off the eth0 or I lose my connection. Choosing the phantom kernel gives me both wifi and eht0.

Francois Thirioux (ft73) wrote :

please open another bug since this one is only about Intel's ethernet support in 3.8 kernel.

(and "uname -a "does not only return you're using Raring...)

Christopher (soft-kristal) wrote :

All my concentration was elsewhere as I have still a pile of work to do.

3.5.0-28-generic #48-Ubuntu SMP Tue Apr 23 23:03:38 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

It is about eth0 as it isn't working in 3.8. WIFI works in 3.8, but only with eth0 turned off.

Francois Thirioux (ft73) wrote :

ok you just use quantal's last kernel with raring.
Yes ethernet works with 3.5 and 3.9 (>=rc3).

We (imho) just have to wait the patches I quoted from 3.9.

ConnyLo (webmaster-3457v) wrote :

hello,
its also my problem: no WLAN hotplug abilities for my Thinkpad X230 since upgrade to Ubuntu 13.04 (and still some other issues). Ethernet connection only if I start with plugged in ethernet plug.
I hate that update!

description: updated
Max Wolf (max-2) wrote :

The following workaround works on my thinkpad:

echo on | sudo tee /sys/class/net/eth0/device/power/control

Btw: In my case the device gets disabled everytime i unplug the powerchord.
So i have to reeneable it, every time i unplug.

Joseph Salisbury (jsalisbury) wrote :

@Francois

Thanks for pointing out the commits in comment #24. There a few bugs very similar to this, which all involve e1000e. It seemw this regression was introduced in an audio commit specific to the device: 8086:1c20

This bug was fixed in v3.9-rc3. However, some report it is fixed in v3.9-rc2. It would be helpful to confirm with exact release fixes this. Once that is known, we can perform a reverse bisect to identify the commit that fixes this.

Before starting the reverse bisect, I will built a test kernel with the commits you mention in comment #24. I'll post a link to that test kernel shortly.

Bugs that may be duplicates:
bug 1165248
bug 1169244
bug 1131616
bug 1142961

tags: added: kernel-da-key performing-bisect
Changed in linux (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Joseph Salisbury (jsalisbury)
Francois Thirioux (ft73) wrote :

Ubuntu's PPA 3.9 rc2 kernel does not fix this bug in my case. (I'm re-trying it at the moment...)

Thanks in advance for the patched kernel for testing.

Joseph Salisbury (jsalisbury) wrote :

I built a Raring test kernel with commit 66148ba applied.

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1112652

Can you test that kernel and report back if it has the bug or not.

One thing to note, you will need to install both the linux-image and linux-image-extra .deb packages.

Thanks in advance!

Christopher (soft-kristal) wrote :

One weird thing to add - I originally installed Raring (clean) on my test partition and had the same issue. I then did a clean install of 12.10 then upgraded it to 13.04 and my Ethernet connection worked as it should. I did the same thing on my main partition and have the bug.

The only difference between my two partitions are the files I restored to my Home directory.

Francois Thirioux (ft73) wrote :

@ Joseph :

The bug is still here in your patched kernel, unfortunately.
The initial workaround still works too...

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Francois.

I'll build another test kernel with both commits applied:
66148ba - e1000e: fix runtime power management transitions
e60b22c - e1000e: fix accessing to suspended device

If that still fails, we can continue with a Reverse bisect to identify the bad commit. I'll also take a look at the git log between v3.9-rc2 and v3.9-rc3 to see if anything sticks out.

Christopher (soft-kristal) wrote :

The new kernel installed 8 May hasn't fixed the problem for me.

uname -a
Linux xxxxxxxxxxxxxxxxxxxxxxx 3.8.0-20-generic #31-Ubuntu SMP Mon May 6 17:03:32 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Joseph Salisbury (jsalisbury) wrote :

I attempted to backport commit e60b22c, however commit 203e415 is a prereq to backport completely. In addition, there are some changes to backport 203e415.

Due to all the changes required for those two commits, it is probably best to go through a "Reverse" bisect to ensure we have the correct commit.

I'll post a link to the first test kernel shortly.

Changed in linux (Ubuntu):
importance: Medium → High
Joseph Salisbury (jsalisbury) wrote :

I started a kernel bisect between v3.9-rc2 final and v3.9-rc3. The kernel bisect will require testing of about 7-10 test kernels.

I built the first test kernel, up to the following commit:
6d9431a7496947cba54fa3b4940ba6041029d5c1

The test kernel can be downloaded from:
http://people.canonical.com/~jsalisbury/lp1112652

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

Francois Thirioux (ft73) wrote :

is this located rather in

http://kernel.ubuntu.com/~jsalisbury/lp1112652/

?

I'll test it this now.

Francois Thirioux (ft73) wrote :

it works flawlessly and ethernet connects.

Francois Thirioux (ft73) wrote :

the transition from 3.8.0-0 to 3.8.0-1caused the initial bug : was the update to rc3 with this Ubuntu version ?

Francois Thirioux (ft73) wrote :

sorry for my last comment (about the rc3 update... that was a 3.8 update...)

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing. I'll update the bisect and build the next kernel.

robled (robled) wrote :

To confirm the report from #49, the kernel from this directory works fine:

http://kernel.ubuntu.com/~jsalisbury/lp1112652/

Joseph Salisbury (jsalisbury) wrote :

I built the next test kernel, up to the following commit:
84d73cd3fb142bf1298a8c13fd4ca50fd2432372

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1112652

Can you test that kernel and report back if it has the bug or not. I will build the next test kernel based on your test results.

Thanks in advance

robled (robled) wrote :

The kernel from #54 works fine.

Francois Thirioux (ft73) wrote :

(Thanks to avoid me another test :-) )

I noticed that there are a lot of stuff about e1000 and pm in :

https://www.kernel.org/pub/linux/kernel/v3.x/stable-review/patch-3.8.13-rc1.xz

Obviously I cannot understand them but it seems (to me !) to be somewhat related to this bug. I'll test the Ubuntu 3.8.13 version when available.

Philipp Wendler (philw85) wrote :

This bug also affects Ubuntu 12.04 precise when using the linux-generic-lts-raring kernel package (version of linux-image-3.8.0-19-generic package is 3.8.0-19.30~precise1).

nh2 (nh2) wrote :

Would you mind telling me the good/bad SHAs of this bisect?

While I admire your heroic remote bisection, I might do this much faster on my own hardware.

@Joseph Salisbury Thanks for dealing with this :)

nh2 (nh2) wrote :

I applied the patch-3.8.13-rc1 mentioned in #56, and it fixes the issue.

Joseph Salisbury (jsalisbury) wrote :

@nh2, that is great news! This bug should be fixed when Raring receives the 3.8.13 updates.

Francois Thirioux (ft73) wrote :

yeepee ! Was a damn annoying bug at work !!
I'll confirm when Ubuntu's 3.8.13 will be published.

Francois Thirioux (ft73) wrote :

The Ubuntu's kernel PPA 3.8.13 does indeed fix the bug. (NetworkManager does not update any of the hardware-based network event (wifi or wired) and still shows the connected icon in Gnome-shell, but it's another bug...)

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8.13-raring/CHANGES

Konstantin Khlebnikov (2):
      e1000e: fix runtime power management transitions
      e1000e: fix accessing to suspended device

Just have to wait for packages updates.
;-)

A fix for this bug could be setting "Wake On Lan" to "AC and Battery" in the BIOS. It works for my Lenovo T430 with 13.04/64bit, 3.8.0-19 kernel and Intel 82579LM nic.

Francois Thirioux (ft73) wrote :

It does not work for my X220, with cable plug *after* boot and battery powered. Before boot, I did not try.
Anyway we just have to wait few more days to get the new kernel (with 3.8.13 rebase) in repos. :-)

Jason Gipson-Nahman (jgip-dr) wrote :

As of 2 days ago, ethernet wasn't working on my T430s after upgrading to 13.04, but as of 10 minutes ago, ethernet is fine. I didn't do anything special. I've just been installing all of the available updates over the last couple of days. Hopefully this is fixed for others as well.

Download full text (5.5 KiB)

What kernel version do you have? I've also updated recently but mine is
still broken...

Atentamente,

Gonçalo Marrafa

On Fri, May 17, 2013 at 3:04 PM, Jason Gipson-Nahman <email address hidden>wrote:

> As of 2 days ago, ethernet wasn't working on my T430s after upgrading to
> 13.04, but as of 10 minutes ago, ethernet is fine. I didn't do anything
> special. I've just been installing all of the available updates over the
> last couple of days. Hopefully this is fixed for others as well.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1174184).
> https://bugs.launchpad.net/bugs/1112652
>
> Title:
> [raring] no ethernet with "auto" default power option with 82579LM
>
> Status in The Linux Kernel:
> New
> Status in “linux” package in Ubuntu:
> In Progress
>
> Bug description:
> I' ve this issue since kernel 3.8.0-1 (at the moment the 3.8.0-0
> allows ethernet connection without any issue) :
>
> if I plug in an ethernet cable, nothing appends ("cable unplugged" in
> network manager Gnome applet). If I put "on" instead of "auto" in the
> file :
>
> /sys/devices/pci0000:00/<number of ethernet pci port>/power/control
>
> then the ethernet connection begins immediately and succeeds.
>
> Wifi works flawlessly in any 3.8 kernel.
>
> Basic infos :
>
> lspci
> 00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor
> Family DRAM Controller (rev 09)
> 00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core
> Processor Family Integrated Graphics Controller (rev 09)
> 00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series
> Chipset Family MEI Controller #1 (rev 04)
> 00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network
> Connection (rev 04)
> 00:1a.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset
> Family USB Enhanced Host Controller #2 (rev 04)
> 00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset
> Family High Definition Audio Controller (rev 04)
> 00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset
> Family PCI Express Root Port 1 (rev b4)
> 00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset
> Family PCI Express Root Port 2 (rev b4)
> 00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset
> Family PCI Express Root Port 5 (rev b4)
> 00:1d.0 USB controller: Intel Corporation 6 Series/C200 Series Chipset
> Family USB Enhanced Host Controller #1 (rev 04)
> 00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC
> Controller (rev 04)
> 00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset
> Family 6 port SATA AHCI Controller (rev 04)
> 00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family
> SMBus Controller (rev 04)
> 03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6205
> [Taylor Peak] (rev 34)
> 0d:00.0 SD Host controller: Ricoh Co Ltd PCIe SDXC/MMC Host Controller
> (rev 07)
>
> Ubuntu
> 13.04
> desktop
> Gnome-shell
> uname -a
> 3.8.0-3-generic #7-Ubuntu SMP Thu Jan 31 15:15:43 UTC 2013 x86_64 x86_64
> x86_64 GNU/Linux
> ---
> App...

Read more...

robled (robled) wrote :

I'm still able to reproduce this while running 3.8.0-21-generic.

Christopher (soft-kristal) wrote :

Not here - as soon as I enable the Ethernet my connection drops. I have -22 installed, AMD 64 bit. I do have WIFI.

The thing that really puzzles me is that I have two partitions on the laptop, and the other one runs the Ethernet, but not WIFI.

Francois Thirioux (ft73) wrote :

#62 shows what we have to wait for.
At the moment, the last Ubuntu's (proposed) kernel does not include Linux 3.8.13's changes so not the fixes quoted in #62.

Christopher (soft-kristal) wrote :

I spoke too soon - .22 actually broke my Ethernet connection on my other partition, so both are now consistant at least.

Andy Whitcroft (apw) on 2013-05-20
Changed in linux (Ubuntu Raring):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: New → In Progress
importance: Undecided → High
Adam Conrad (adconrad) wrote :

Based on quick testing here, this appears to be fixed in the current saucy 3.9.0-2 kernel, so just waiting on the same or a similar fix to trickle down to raring's 3.8.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Francois Thirioux (ft73) wrote :

did you read #62 ?
:-)

nh2 (nh2) wrote :

Just to make it clear again:

There is a fix, it will be in Ubuntu soon once the official kernel gets updated to 3.8.13, and *until then*, you have three choices:

* Wait until the new kernel comes
* Use the non-permanent hotfix described above
* Download and install the 3.8.13 from here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8.13-raring/linux-image-3.8.13-030813-generic_3.8.13-030813.201305111843_amd64.deb

Personally, I find the last one most convenient.

Hi,
thanks a lot. I will use solution 1 for the moment.
It took me some time to find correlation with power supply, but now that
I know it, I can plug in power supply when using cable ethernet.
I try to be a good citizen and report my problems. I found it hard to
report a regression in ubuntu system. I have a couple of other
regression but gave up reporting them.
For this bug, at a moment I was instructed to run some apport command
(don't remember exactly which) to document things but I got rejected
with a not your bug message.

Cheers

On 05/22/2013 12:31 PM, nh2 wrote:
> Just to make it clear again:
>
> There is a fix, it will be in Ubuntu soon once the official kernel gets
> updated to 3.8.13, and *until then*, you have three choices:
>
> * Wait until the new kernel comes
> * Use the non-permanent hotfix described above
> * Download and install the 3.8.13 from here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8.13-raring/linux-image-3.8.13-030813-generic_3.8.13-030813.201305111843_amd64.deb
>
> Personally, I find the last one most convenient.
>

--
Nicolas Produit
ISDC, Data Centre for Astrophysics Phone:+41 22 379 2140
16, Chemin d'Ecogia Fax: +41 22 379 2133
CH-1290 Versoix www: http://isdc.unige.ch/~produit

Dan Gillmor (dan-gillmor) wrote :

I'll wait, and my thanks to the folks who fixed this.

Dan

On 05/22/2013 03:31 AM, nh2 wrote:
> Just to make it clear again:
>
> There is a fix, it will be in Ubuntu soon once the official kernel gets
> updated to 3.8.13, and *until then*, you have three choices:
>
> * Wait until the new kernel comes
> * Use the non-permanent hotfix described above
> * Download and install the 3.8.13 from here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8.13-raring/linux-image-3.8.13-030813-generic_3.8.13-030813.201305111843_amd64.deb
>
> Personally, I find the last one most convenient.
>

--
Dan Gillmor
dangillmor.com/about
+1.650.868.7528

Francois Thirioux (ft73) wrote :

Bug solved with :

https://launchpad.net/ubuntu/+source/linux/3.8.0-24.35

including the above e1000e fixes (in proposed repos at the moment).

Thanks

Changed in linux (Ubuntu Raring):
status: In Progress → Fix Released

I can confirm that the bug is fixed with the latest kernel image: 3.8.0-25.37

Thanks for the great work!

robled (robled) wrote :

Has the new kernel package hit the repo yet?

Dan Gillmor (dan-gillmor) wrote :

Thanks as well --

On 06/12/2013 11:59 AM, Martin Stockhammer wrote:
> I can confirm that the bug is fixed with the latest kernel image:
> 3.8.0-25.37
>
> Thanks for the great work!
>

--
Dan Gillmor
dangillmor.com/about
+1.650.868.7528

robled (robled) wrote :

This fix has hit the official repo! I can confirm that it's resolved on my system.

$ uname -a
Linux lasky 3.8.0-25-generic #37-Ubuntu SMP Thu Jun 6 20:47:07 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Thank you!

Felix Haller (felixhaller) wrote :

thanks...fixed for me too on Lenovo X220i Tablet

3.8.0-25-generic #37-Ubuntu SMP Thu Jun 6 20:47:07 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Charles Profitt (cprofitt) wrote :

This has fixed the issue for me on my T500 and T530.

Damian O (n-damian) wrote :

Fixed for me on Lenovo Thinkpad X201

Joseph Salisbury (jsalisbury) wrote :

Thanks everyone for all the great work and testing.

ConnyLo (webmaster-3457v) wrote :

Fixed for me on Lenovo x230 - thank you for all that work!

Stephen (realakshun) wrote :

Fixed for my Dell Latitude E6430, many thanks!

Gianluca (yanlux) wrote :

Fixed on my HP Probook 6450b. Thank you all.

TeXHaPb (staryx) wrote :

Bug is still present on "Linux TeXWork 3.11.0-7-generic #13-Ubuntu SMP Tue Sep 10 20:25:17 UTC 2013 i686 i686 i686 GNU/Linux"

Francois Thirioux (ft73) wrote :

No issue for my X220 with Ubuntu 13.10 beta with 3.11.0-7 kernel.

TeXHaPb (staryx) wrote :

Have you upgraded or installed it from scratch?
What do you have in /sys/devices/pci0000\:00/0000\:00\:19.0/power/control right after unplugging power?

mike (mcalautt) wrote :

i have this bug...
cant get eth0 working on battery.. as soon as i plug in the power cord, it works fine.

new install of linux mint 15

Linux -ThinkPad-T530 3.8.0-19-generic #29-Ubuntu SMP Wed Apr 17 18:16:28 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Linux Mint 15 Olivia \n \l

Network: Card-1: Intel Centrino Ultimate-N 6300 driver: iwlwifi ver: in-tree: bus-ID: 03:00.0
           IF: wlan0 state: down mac: 24:77:03:94:23:34
           Card-2: Intel 82579LM Gigabit Network Connection driver: e1000e ver: 2.1.4-k port: 5080 bus-ID: 00:19.0
           IF: eth0 state: up speed: 1000 Mbps duplex: full mac: 3c:97:0e:0c:ea:d5
Drives: HDD Total Size: 240.1GB (78.5% used) 1: id: /dev/sda model: KINGSTON_SKC100S size: 240.1GB temp: 37C

lshw -C network
  *-network
       description: Ethernet interface
       product: 82579LM Gigabit Network Connection
       vendor: Intel Corporation
       physical id: 19
       bus info: pci@0000:00:19.0
       logical name: eth0
       version: 04
       serial: 3c:97:0e:0c:ea:d5
       size: 1Gbit/s
       capacity: 1Gbit/s
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi bus_master cap_list ethernet physical tp 10bt 10bt-fd 100bt 100bt-fd 1000bt-fd autonegotiation
       configuration: autonegotiation=on broadcast=yes driver=e1000e driverversion=2.1.4-k duplex=full firmware=0.13-3 ip=192.168.1.5 latency=0 link=yes multicast=yes port=twisted pair speed=1Gbit/s
       resources: irq:43 memory:f2500000-f251ffff memory:f253b000-f253bfff ioport:5080(size=32)
  *-network DISABLED
       description: Wireless interface
       product: Centrino Ultimate-N 6300
       vendor: Intel Corporation
       physical id: 0
       bus info: pci@0000:03:00.0
       logical name: wlan0
       version: 3e
       serial: 24:77:03:94:23:34
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
       configuration: broadcast=yes driver=iwlwifi driverversion=3.8.0-19-generic firmware=9.221.4.1 build 25532 latency=0 link=no multicast=yes wireless=IEEE 802.11abgn
       resources: irq:47 memory:f1c00000-f1c01fff

mike (mcalautt) wrote :

found 3.8.0-30-generic #44-Ubuntu SMP in the REPO..
i upgraded and now its fixed

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.